# Simple Cider

## Driver Collisions

The touchbar has a fallback mode, where it is only in Function Mode.
To disable this mode, to not have any collisions with out driver, we should unbind it.

### Temporary

run

```sh
echo -n "1-3:1.2" | sudo tee /sys/bus/usb/drivers/usbhid/unbind
```

### Permanent

create a udev rule: `/etc/udev/rules.d/99-ibridge.rules`

```udev
SUBSYSTEM=="usb", ATTR{idVendor}=="05ac", ATTR{idProduct}=="8600", ATTR{interfaces}=="*:*:*:*:03:01:01", RUN+="/bin/sh -c 'echo -n $env{BUSNUM}-$env{DEVNUM}:$env{INTERFACE} > /sys/bus/usb/drivers/usbhid/unbind'"
```

to apply these rules without reboot run:

```sh
sudo udevadm control --reload-rules
sudo udevadm trigger
```

## Dependencies

- `hidapi-devel`
